twitter4j

## Interface SiteStreamsListener

All Superinterfaces:
  StreamListener

All Known Implementing Classes:
  SiteStreamsAdapter

    public interface SiteStreamsListener
    extends StreamListener

Since:
  Twitter4J 2.1.8
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onBlock(long forUser, User source, User blockedUser)`
`void` `onDeletionNotice(long forUser, long directMessageId, long userId)`
`void` `onDeletionNotice(long forUser, StatusDeletionNotice statusDeletionNotice)`
`void` `onDirectMessage(long forUser, DirectMessage directMessage)`
`void` `onDisconnectionNotice(java.lang.String line)` callback method for `StreamController.removeUsers(long[])`
`void` `onException(java.lang.Exception ex)`
`void` `onFavorite(long forUser, User source, User target, Status favoritedStatus)`
`void` `onFavoritedRetweet(User source, User target, Status favoritedStatus)`
`void` `onFollow(long forUser, User source, User followedUser)`
`void` `onFriendList(long forUser, long[] friendIds)`
`void` `onMute(long forUser, User source, User target)`
`void` `onQuotedTweet(User source, User target, Status quotingTweet)`
`void` `onRetweetedRetweet(User source, User target, Status retweetedStatus)`
`void` `onStatus(long forUser, Status status)`
`void` `onUnblock(long forUser, User source, User unblockedUser)`
`void` `onUnfavorite(long forUser, User source, User target, Status unfavoritedStatus)`
`void` `onUnfollow(long forUser, User source, User unfollowedUser)`
`void` `onUnmute(long forUser, User source, User target)`
`void` `onUserDeletion(long forUser, long deletedUser)`
`void` `onUserListCreation(long forUser, User listOwner, UserList list)`
`void` `onUserListDeletion(long forUser, User listOwner, UserList list)`
`void` `onUserListMemberAddition(long forUser, User addedMember, User listOwner, UserList list)`
`void` `onUserListMemberDeletion(long forUser, User deletedMember, User listOwner, UserList list)`
`void` `onUserListSubscription(long forUser, User subscriber, User listOwner, UserList list)`
`void` `onUserListUnsubscription(long forUser, User subscriber, User listOwner, UserList list)`
`void` `onUserListUpdate(long forUser, User listOwner, UserList list)`
`void` `onUserProfileUpdate(long forUser, User updatedUser)`
`void` `onUserSuspension(long forUser, long suspendedUser)`

### Method Detail

#### onStatus

    void onStatus(long forUser,
                  Status status)

#### onDeletionNotice

    void onDeletionNotice(long forUser,
                          StatusDeletionNotice statusDeletionNotice)

#### onFriendList

    void onFriendList(long forUser,
                      long[] friendIds)

Parameters:
  `forUser` - the user id to whom sent the event
  `friendIds` - friend ids

#### onFavorite

    void onFavorite(long forUser,
                    User source,
                    User target,
                    Status favoritedStatus)

Parameters:
  `forUser` - the user id to whom sent the event
  `source` - source user of the event
  `target` - target user of the event
  `favoritedStatus` - the status favorited

#### onUnfavorite

    void onUnfavorite(long forUser,
                      User source,
                      User target,
                      Status unfavoritedStatus)

Parameters:
  `forUser` - the user id to whom sent the event
  `source` - source user of the event
  `target` - target user of the event
  `unfavoritedStatus` - the status unfavorited

#### onFollow

    void onFollow(long forUser,
                  User source,
                  User followedUser)

Parameters:
  `forUser` - the user id to whom sent the event
  `source` - source user of the event
  `followedUser` - user followed

#### onUnfollow

    void onUnfollow(long forUser,
                    User source,
                    User unfollowedUser)

Parameters:
  `forUser` - the user id to whom sent the event
  `source` - source user of the event
  `unfollowedUser` - user unfollowed
Since:
  Twitter4J 2.1.11

#### onDirectMessage

    void onDirectMessage(long forUser,
                         DirectMessage directMessage)

Parameters:
  `forUser` - the user id to whom sent the event
  `directMessage` - direct message received

#### onDeletionNotice

    void onDeletionNotice(long forUser,
                          long directMessageId,
                          long userId)

#### onUserListMemberAddition

    void onUserListMemberAddition(long forUser,
                                  User addedMember,
                                  User listOwner,
                                  UserList list)

Parameters:
  `forUser` - the user id to whom sent the event
  `addedMember` - member added
  `listOwner` - owner of the list
  `list` - the list

#### onUserListMemberDeletion

    void onUserListMemberDeletion(long forUser,
                                  User deletedMember,
                                  User listOwner,
                                  UserList list)

Parameters:
  `forUser` - the user id to whom sent the event
  `deletedMember` - member deleted
  `listOwner` - owner of the list
  `list` - the list

#### onUserListSubscription

    void onUserListSubscription(long forUser,
                                User subscriber,
                                User listOwner,
                                UserList list)

Parameters:
  `forUser` - the user id to whom sent the event
  `subscriber` - member subscribed
  `listOwner` - owner of the list
  `list` - the list

#### onUserListUnsubscription

    void onUserListUnsubscription(long forUser,
                                  User subscriber,
                                  User listOwner,
                                  UserList list)

Parameters:
  `forUser` - the user id to whom sent the event
  `subscriber` - user subscribed
  `listOwner` - owner of the list
  `list` - the list

#### onUserListCreation

    void onUserListCreation(long forUser,
                            User listOwner,
                            UserList list)

Parameters:
  `forUser` - the user id to whom sent the event
  `listOwner` - owner of the list
  `list` - the list

#### onUserListUpdate

    void onUserListUpdate(long forUser,
                          User listOwner,
                          UserList list)

Parameters:
  `forUser` - the user id to whom sent the event
  `listOwner` - owner of the list
  `list` - the list

#### onUserListDeletion

    void onUserListDeletion(long forUser,
                            User listOwner,
                            UserList list)

Parameters:
  `forUser` - the user id to whom sent the event
  `listOwner` - owner of the list
  `list` - the list

#### onUserProfileUpdate

    void onUserProfileUpdate(long forUser,
                             User updatedUser)

Parameters:
  `forUser` - the user id to whom sent the event
  `updatedUser` - updated user
Since:
  Twitter4J 2.1.9

#### onUserSuspension

    void onUserSuspension(long forUser,
                          long suspendedUser)

Parameters:
  `forUser` - the user id to whom sent the event
  `suspendedUser` - suspended user id
Since:
  Twitter4J 4.0.3

#### onUserDeletion

    void onUserDeletion(long forUser,
                        long deletedUser)

Parameters:
  `forUser` - the user id to whom sent the event
  `deletedUser` - deleted user id
Since:
  Twitter4J 4.0.3

#### onBlock

    void onBlock(long forUser,
                 User source,
                 User blockedUser)

Parameters:
  `forUser` - the user id to whom sent the event
  `source` - the user user blocked
  `blockedUser` - the user got blocked

#### onUnblock

    void onUnblock(long forUser,
                   User source,
                   User unblockedUser)

Parameters:
  `forUser` - the user id to whom sent the event
  `source` - the user unblocked
  `unblockedUser` - the user got unblocked

#### onRetweetedRetweet

    void onRetweetedRetweet(User source,
                            User target,
                            Status retweetedStatus)

Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `retweetedStatus` - status retweeted retweet
Since:
  Twitter4J 4.0.x

#### onFavoritedRetweet

    void onFavoritedRetweet(User source,
                            User target,
                            Status favoritedStatus)

Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `favoritedStatus` - status favorited retweet
Since:
  Twitter4J 4.0.x

#### onDisconnectionNotice

    void onDisconnectionNotice(java.lang.String line)

callback method for `StreamController.removeUsers(long[])`

Parameters:
  `line` - notice

#### onException

    void onException(java.lang.Exception ex)

Specified by:
  `onException` in interface `StreamListener`

#### onQuotedTweet

    void onQuotedTweet(User source,
                       User target,
                       Status quotingTweet)

Parameters:
  `source` - source user of the event
  `target` - target user of the event
  `quotingTweet` - status favorited retweet
Since:
  Twitter4J 4.0.x

#### onMute

    void onMute(long forUser,
                User source,
                User target)

Parameters:
  `source` - source user of the event
  `target` - target user of the event
Since:
  Twitter4J 4.0.x

#### onUnmute

    void onUnmute(long forUser,
                  User source,
                  User target)

Parameters:
  `source` - source user of the event
  `target` - target user of the event
Since:
  Twitter4J 4.0.x